---
title: "Retrieve Application by Wallet ID"
source_url: https://docs.rapyd.net/en/retrieve-application-by-wallet-id.html
lang: en
---

# Retrieve Application by Wallet ID

Use this GET method to retrieve an application that has been saved or submitted by indicating the wallet ID of the company.

### Parameters

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).
- - api_timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Path Parameters

- - wallet_id
  - Unique identifier of the wallet object. String starting with **ewallet_**.

### Response

> **Note:**
>
> Due to the length of the response, in this example on the right side of this page, a shortened version of the response is displayed.

- {base_uri}/verify/api/applications/ewallet/:wallet_id

- Retrieve Application by Wallet ID
- ```curl
  curl -X get https://sandboxapi.rapyd.net/v1/verify/api/applications/ewallet/ewallet_b9ac422ff97dfb2e9aff263998603b17 \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  -H 'api_timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a0742714-d472-44a6-9a61-64641a73186f"
      },
      "data": {
          "token": "app_0d460e42-d7c1-4c68-b5f0-744bdafd0402",
          "rapyd_entity_token": "ewallet_b9ac422ff97dfb2e9aff263998603b17",
          "client_reference_id": "000003111",
          "authorized_user_email": "johndoe@rapyd.net",
          "version": 14,
          "status": "new",
          "metadata": {
              "merchant_defined": "true"
          },
          "entity_type": "Company",
          "country": "US",
          "sections": {}
      },
      "created_at": 1623595146482,
      "updated_at": 1623673420771,
      "application_type_cd": "glb_company"
  } 
  ```
